Get Single Lead
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/leads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/leads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Leads
Get Lead By ID
Gets a lead by ID, this route must use the new V3 endpoints.
GET
/
leads
/
{id}
Get Single Lead
Returns full lead details including metadata. You must own the associated agent to access the lead.
Use the
convoId field to link back to the conversation where the lead was captured.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the lead
Query Parameters
The agent ID that owns this lead (required query parameter)
⌘I
